Module org.xerial.sqlitejdbc
Package org.sqlite

## Class ExtendedCommand.RestoreCommand

- java.lang.Object
- - org.sqlite.ExtendedCommand.RestoreCommand

All Implemented Interfaces:
  `ExtendedCommand.SQLExtension`

Enclosing class:
  ExtendedCommand

    public static class ExtendedCommand.RestoreCommand
    extends Object
    implements ExtendedCommand.SQLExtension

### Field Summary

Fields
`String` `srcFile`
`String` `targetDB`

### Constructor Summary

Constructors
`RestoreCommand​(String targetDB, String srcFile)` Constructs a RestoreCommand instance that restores the database from a given source file.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `execute​(DB db)`
`static ExtendedCommand.RestoreCommand` `parse​(String sql)` Parses SQLite database restore command and creates a RestoreCommand object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### targetDB

    public final String targetDB

#### srcFile

    public final String srcFile

### Constructor Detail

#### RestoreCommand

    public RestoreCommand​(String targetDB,
                          String srcFile)

Constructs a RestoreCommand instance that restores the database from a given source file.

Parameters:
  `targetDB` - Target database name
  `srcFile` - Source file name

### Method Detail

#### parse

    public static ExtendedCommand.RestoreCommand parse​(String sql)
                                                throws SQLException

Parses SQLite database restore command and creates a RestoreCommand object.

Parameters:
  `sql` - SQLite restore backup command
Returns:
  RestoreCommand object.
Throws:
  `SQLException`

#### execute

    public void execute​(DB db)
                 throws SQLException

Specified by:
  `execute` in interface `ExtendedCommand.SQLExtension`
Throws:
  `SQLException`
See Also:
  `ExtendedCommand.SQLExtension.execute(org.sqlite.core.DB)`